VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
DataEvent Struct Reference

Data event specific data. More...

`#include <ivstevents.h>`

## Public Types
enum | DataTypes { kMidiSysEx = 0 }
| Value for DataEvent::type. More...

## Public Attributes
uint32 | size
| size in bytes of the data block bytes
uint32 | type
| type of this data block (see DataTypes)
const uint8 * | bytes
| pointer to the data block

## Detailed Description

Data event specific data.

Used in Event (union)

## Member Enumeration Documentation

## ◆ DataTypes

enum DataTypes

Value for DataEvent::type.

Enumerator
kMidiSysEx | for MIDI system exclusive message

## Member Data Documentation

## ◆ size

uint32 size

size in bytes of the data block bytes

## ◆ type

uint32 type

type of this data block (see DataTypes)

## ◆ bytes

const uint8* bytes

pointer to the data block

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.